Bug 257643

Summary: java/openjdk11: Undefined symbol "aarch64_atomic_cmpxchg_4_impl"
Product: Ports & Packages Reporter: Dan Kotowski <dan.kotowski>
Component: Individual Port(s)Assignee: Mikael Urankar <mikael>
Status: Closed FIXED    
Severity: Affects Only Me CC: maciphone2, mikael
Priority: --- Flags: bugzilla: maintainer-feedback? (java)
Version: Latest   
Hardware: arm64   
OS: Any   
Attachments:
Description Flags
poudriere build log for java/openjdk11 none

Description Dan Kotowski 2021-08-05 19:10:28 UTC
Created attachment 226976 [details]
poudriere build log for java/openjdk11
Comment 1 Klaus K├╝chemann 2021-08-06 01:17:35 UTC
looks like a patch has already been launched :
https://github.com/battleblow/jdk11u/commit/c5dd8bc90cb7a8264223d66b5ffec7b38337c362
Comment 2 commit-hook freebsd_committer 2021-08-18 15:58:55 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=8edf3dd02ef681961a210ae58e83e56b36bee34d

commit 8edf3dd02ef681961a210ae58e83e56b36bee34d
Author:     Mikael Urankar <mikael@FreeBSD.org>
AuthorDate: 2021-08-18 15:30:21 +0000
Commit:     Mikael Urankar <mikael@FreeBSD.org>
CommitDate: 2021-08-18 15:58:15 +0000

    java/openjdk11: Fix build on aarch64

    Import upstream patch.

    PR:             257643
    Approved by:    portmgr (build fix blanket)

 java/openjdk11/Makefile | 3 +++
 java/openjdk11/distinfo | 4 +++-
 2 files changed, 6 insertions(+), 1 deletion(-)
Comment 3 Mikael Urankar freebsd_committer 2021-08-18 15:59:21 UTC
Thanks!